image: node:latest

stages:
    - build
    - test
    - docker_deploy_image
cache:
    paths:
    - node_modules/

install_dependencies:
    stage: build
    script:
        - npm install
    artifacts:
        paths:
            - node_modules/

test:
    stage: test
    script: npm test

docker_deploy_image:
    stage: docker_deploy_image
    image: docker:dind
    services:
    - docker:dind
    script:
      - echo "$DOCKER_PWD" | docker login -u "$DOCKER_USER" --password-stdin # (5)
      - docker build -t fgiudici95/convert .
      - docker push fgiudici95/convert
